Commit bdc5172b authored by Tim-Philipp Müller's avatar Tim-Philipp Müller 🐠

m4/: Bump valgrind requirement to 3.0 (which was released in August 2005).

Original commit message from CVS:
* m4/gst-args.m4:
* m4/gst-valgrind.m4:
Bump valgrind requirement to 3.0 (which was released in August 2005).
Fixes #489269. Also, check for version >=REQ and not >REQ.
parent d3ace35f
2008-04-13 Tim-Philipp Müller <tim at centricular dot net>
* m4/gst-args.m4:
* m4/gst-valgrind.m4:
Bump valgrind requirement to 3.0 (which was released in August 2005).
Fixes #489269. Also, check for version >=REQ and not >REQ.
2008-04-09 Tim-Philipp Müller <tim at centricular dot net>
* m4/gst-default.m4:
......
......@@ -62,9 +62,9 @@ AC_DEFUN([AG_GST_ARG_VALGRIND],
esac
],
[USE_VALGRIND="$USE_DEBUG"]) dnl Default value
VALGRIND_REQ="2.1"
VALGRIND_REQ="3.0"
if test "x$USE_VALGRIND" = xyes; then
PKG_CHECK_MODULES(VALGRIND, valgrind > $VALGRIND_REQ,
PKG_CHECK_MODULES(VALGRIND, valgrind >= $VALGRIND_REQ,
USE_VALGRIND="yes",
[
USE_VALGRIND="no"
......
......@@ -13,9 +13,9 @@ AC_DEFUN([AG_GST_VALGRIND_CHECK],
USE_VALGRIND="$USE_DEBUG"
]) dnl Default value
VALGRIND_REQ="2.1"
VALGRIND_REQ="3.0"
if test "x$USE_VALGRIND" = xyes; then
PKG_CHECK_MODULES(VALGRIND, valgrind > $VALGRIND_REQ,
PKG_CHECK_MODULES(VALGRIND, valgrind >= $VALGRIND_REQ,
USE_VALGRIND="yes",
[
USE_VALGRIND="no"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment